summaryrefslogtreecommitdiffstats
path: root/xtests/tst-pam_access2.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 12:01:37 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 12:01:37 +0000
commitde848d9e9146434817c65d74d1d0313e9d729462 (patch)
treedcbd0efb229b17f696f7195671f05b354b4f70fc /xtests/tst-pam_access2.sh
parentInitial commit. (diff)
downloadpam-de848d9e9146434817c65d74d1d0313e9d729462.tar.xz
pam-de848d9e9146434817c65d74d1d0313e9d729462.zip
Adding upstream version 1.4.0.upstream/1.4.0upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'xtests/tst-pam_access2.sh')
-rwxr-xr-xxtests/tst-pam_access2.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/xtests/tst-pam_access2.sh b/xtests/tst-pam_access2.sh
new file mode 100755
index 0000000..7e3e60f
--- /dev/null
+++ b/xtests/tst-pam_access2.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+/usr/sbin/groupadd tstpamaccess
+/usr/sbin/useradd -p '!!' tstpamaccess2
+./tst-pam_access2
+RET=$?
+/usr/sbin/userdel -r tstpamaccess2 2> /dev/null
+/usr/sbin/groupdel tstpamaccess 2> /dev/null
+exit $RET